• Flash Player sur openSUSE

    Il y sur le forum une recrudescence de questions tournant autour de Flash Player. Malgré que ce soit un logiciel, propriétaire, buggé et véritable nid de failles de sécurité, vous êtes nombreux à vouloir continuer à l’utiliser. Voici donc comment faire, à vos risques et périls.

    Quelle version ?

    Sous Linux, la dernière version de Flash Player est la 11.2. Le paquet s’appelle tout simplement flash-player. Il est, encore aujourd’hui, automatiquement installé lors de la première mise à jour après installation.

    Màj du 30 octobre 2015 : pour openSUSE Leap et Tumbleweed, le paquet flash-player n'est disponible que chez Packman. Il est encore présent dans les dépôts officiels de la 13.1 et de la 13.2 mais il ne sera vraisemblablement plus mis à jour par ces canaux, donc basculez vers la version de chez Packman. Plus de détails ici.

    Une autre version, ne fonctionnant de base que sur Google Chrome/Chromium est disponible, actuellement la 18, dans le paquet chromium-pepper-flash (chez Packman).

    Les deux problèmes qui reviennent le plus souvent :

    • certains sites de jeux en ligne nécessitent flash-player > 11.2, donc sous Firefox, c’est un peu compliqué (màj du 27 décembre 2016 : plus maintenant, voir plus bas)
    • certains sites de VOD requièrent l’usage des DRM, qu’aucune version de Flash sous Linux ne propose à ce jour, ni flash-player, ni pepper-flash.


    Jeux en ligne : utiliser pepper-flash sous Firefox

    Màj du 27 décembre 2016 : Adobe a annoncé une nouvelle version de Flash pour Linux. C'est inattendu. Peut-être le dernier sursaut. Bref vous avez maintenant Flash 24 chez Packman pour Firefox et tout autre navigateur utilisant des plugins NPAPI. Ce qui suit n'est donc plus nécessaire, vous avez déjà un Flash récent qui marchera avec la plupart des jeux en ligne. Pas de DRM cependant, donc la section suivante est toujours pertinente.

    Un petit logiciel a été développé pour faire tourner le flash de Google, pepper-flash sous Firefox. Ce logiciel s’appelle freshplayerplugin.

    Point important : pour que ça fonctionne il faut installer les paquets freshplayerplugin bien sûr mais aussi pepper-flash-chromium.
    Freshplayerplugin ne sert qu’à faire fonctionner le plugin chromium-pepper-flash sous Firefox, il ne contient pas pepper-flash.

    Le paquet initialement créé chez Packman et aussi disponible dans le dépôt multimedia:apps. Je vous conseille de rester sur la version de Packman pour deux raisons :


    • éviter la multiplication des dépôts
    • dans les dépôts multimedia:apps, pepper-flash-chromium n’est marqué que comme un paquet recommandé (car il n’est pas présent dans oss, pour des raisons de licence) alors qu’il est vraiment nécessaire.


    En résumé, ajouter le dépôt Packman si ce n’est déjà fait puis en tant que root :
    Code:
    zypper remove flash-player* # supprimer la version 11.2
    zypper addlock flash-player* # verrouiller le paquet pour éviter toute réinstallation automatique
    zypper install freshplayerplugin # vérifiez bien que chromium-pepper-flash est installé en tant que dépendance
    Voilà, ça devrait marcher sur les sites demandant flash-player > 11.2 sans DRM.

    Note : supprimez bien l’ancienne version de flash. Si vous avez une bonne raison de le garder, il y a moyen de conserver plusieurs version de flash installé en jouant manuellement avec update-alternatives. Mais vous ne pourrez pas le gérer correctement en essayant de le désactiver dans le gestionnaire de plugins de Firefox.

    DRM : utiliser la version Windows de Flash

    Regardez ce post : https://www.alionet.org/showthread.p...l=1#post272983.

    Màj du 30 octobre : voyez plutôt celui-là qui est plus à jour : https://www.alionet.org/showthread.p...l=1#post282275

    Notez que :

    • ça ne marchera pas avec Chrome/Chromium
    • ça ne marchera pas forcément partout


    N'oubliez pas non plus de supprimer l’ancienne version de flash ou bien de régler les différentes versions avec update-alternatives.
    Dans ce cas, faites un clic droit sur la vidéo pour être sûr de la version de flash que vous utilisez.


    Ne plus utiliser flash

    C'est la meilleure solution

    Il y a de plus en plus d'alternatives voire bien mieux côté avec de l'HTML5 et du JavaScript. Et la gestion des DRM arrive (ce qui n'est pas forcément une bonne chose d'ailleurs).

    Dans tous les cas, si on vous dit dans Firefox qu'un plugin est manquant et qu'on vous propose de l'installer ne le faites pas. Ça ne sert à rien, ça ne marchera pas, il faut passer par les logiciels des dépôts.
    Commentaires 5 Commentaires
    1. Avatar de Doctor Who
      Doctor Who -
      Un grand merci et bravo ! Très belle synthèse et beau boulot
    1. Avatar de sobkowiak
      sobkowiak -
      En fait j'utilisais le duo freshplayer et chromium-pepper-flash sans connaître leur complémentarité, raison de mon incompréhension quand je disais avoir shockwave 18.0.0 fonctionnel sur Firefox et que l'on me repondait sur ce forum que ce n'était pas posssible.
      Merci pour la mise au point.0
    1. Avatar de Guillaume_G
      Guillaume_G -
      merci pour les infos !
    1. Avatar de Mahanand
      Mahanand -
      Salut, j'ai aussi des problèmes avec flashplayer. Quelles sont les alternatives ?
      Merci
    1. Avatar de Antoine
      Antoine -
      Citation Envoyé par Mahanand Voir le message
      Salut, j'ai aussi des problèmes avec flashplayer. Quelles sont les alternatives ?
      Merci
      Alternatives ? Il n'y a grosso modo que le logiciel flash d'Adobe (et celui de Google) qui puisse lire le format flash correctement. Les méthodes d'installation pour les différentes versions disponibles sont présentées dans cette "news".

      En libre, il y a bien gnash, lightspark, swfdec mais tout ça marche plutôt mal. Il y a aussi Shumway de Mozilla mais c'est expérimental.


      Alternatives (bis) ? HTML 5 + Javascript peuvent faire des choses similaires et donc on peut privilégier les sites qui les utilisent.

      Si tu veux une réponse plus précise, ouvre un topic en détaillant ton problème
  • Dons / Adhésion


    Dons
    Si vous aimez notre site web et que vous voulez participer financièrement, vous pouvez nous faire un don grâce à PayPal ou via HelloAsso.


    Choisissez votre somme, et cliquez sur le bouton "donate" ci-dessous.



    Adhésion
    Si vous désirez être membre de notre association, vous pouvez aussi adhérer grâce à HelloAsso.
    Propulsé par HelloAsso
  • SUSECon 2017

     
    SUSEcon 2017
     
     
  • Derniers commentaires d'articles

    sogal

    Vous aimez openSUSE ? Devenez acteur de sa communauté !

    Un petit 'UP' sur cette news, passée peut-être un peu inaperçue, pour indiquer que notre espace... Voir le dernier message

    sogal le 09/12/2018 21h04
    Grenouille

    Lumière sur le développement de YaST - Sprint 68

    Tiens, ça a l'air intéressant ce format UDF... vous en pensez quoi comparé à exFAT? Voir le dernier message

    Grenouille le 09/12/2018 19h38